#include "ComplexItem.h"

void ParamsHolder::createBaseParams()
{
	baseParams_ = new BaseParam*[baseParamsCount_];

	baseParams_[0] = new BaseParam(BASE_ENERGY_CIRCUIT, (L"Energetický okruh"), ":/pictures/images/details/energetickyOkruh.png", true);
	baseParams_[1] = new BaseParam(BASE_SHIELDS, (L"Štíty"), ":/pictures/images/details/stity.png", true);
	baseParams_[2] = new BaseParam(BASE_WEAPONS, (L"Zbraně"), ":/pictures/images/details/zbrane.png", true);
	baseParams_[3] = new BaseParam(BASE_TRANSPORT_RAY, (L"Transportní paprsek"),  ":/pictures/images/details/transport.png", false);
	baseParams_[4] = new BaseParam(BASE_QUARRYING, (L"Těžební zařízení"),  ":/pictures/images/details/mining.png", true);
	baseParams_[5] = new BaseParam(BASE_PROBE, (L"Průzkumné zařízení"),  ":/pictures/images/details/pruzkum.png", false);
	baseParams_[6] = new BaseParam(BASE_SENSORS, (L"Citlivé senzory"),  ":/pictures/images/details/senzory.png", true);
	baseParams_[7] = new BaseParam(BASE_MASKING, (L"Maskování"),  ":/pictures/images/details/maskovani.png", true);
	baseParams_[8] = new BaseParam(BASE_CREW, (L"Posádka"),  ":/pictures/images/details/posadka.png", true);
	baseParams_[9] = new BaseParam(BASE_ANDROIDS, (L"Androidi"),  ":/pictures/images/details/androidi.png", true);
	baseParams_[10] = new BaseParam(BASE_UBICATION, (L"Ubikace"),  ":/pictures/images/details/ubykace.png", true);
	baseParams_[11] = new BaseParam(BASE_STOCK, (L"Sklady"),  ":/pictures/images/details/sklady.png", true);
	baseParams_[12] = new BaseParam(BASE_EQUIPMENT, (L"Vybavení"),  ":/pictures/images/details/vybaveni.png", true);
	baseParams_[13] = new BaseParam(BASE_NAVIGATION_COMPUTER, (L"Počítač"),  ":/pictures/images/details/pocitac.png", true);

	baseParams_[14] = new BaseParam(BASE_HANGARS, (L"Hangáry"),  ":/pictures/images/others/hangary.png", true);
	baseParams_[15] = new BaseParam(BASE_FACTORIES, (L"Továrny"),  ":/pictures/images/details/tovarny.png", true);

	baseParams_[16] = new BaseParam(BASE_CENTRAL_INFORMATION, (L"Centrální informace"), ":/pictures/images/details/centralInfo.png", true);
	baseParams_[17] = new BaseParam(BASE_RENDER, (L"Náhled základny"),  ":/pictures/images/details/modelZakladna.png", true);
}

void ParamsHolder::createShipParams()
{		
	shipParams_ = new ShipParam*[shipParamsCount_];

	shipParams_[0] = new ShipParam(SHIP_ENERGY_CIRCUIT, (L"Energetický okruh"),  ":/pictures/images/details/energetickyOkruh.png", true);
	shipParams_[1] = new ShipParam(SHIP_SHIELDS, (L"Štíty"),  ":/pictures/images/details/stity.png", true);
	shipParams_[2] = new ShipParam(SHIP_WEAPONS, (L"Zbraně"),  ":/pictures/images/details/zbrane.png", true);
	shipParams_[3] = new ShipParam(SHIP_TRANSPORT_RAY, (L"Transportní paprsek"),  ":/pictures/images/details/transport.png", false);
	shipParams_[4] = new ShipParam(SHIP_QUARRYING, (L"Těžební zařízení"),  ":/pictures/images/details/mining.png", true);
	shipParams_[5] = new ShipParam(SHIP_PROBE, (L"Průzkumné zařízení"),  ":/pictures/images/details/pruzkum.png", false);
	shipParams_[6] = new ShipParam(SHIP_SENSORS, (L"Senzory"),  ":/pictures/images/details/senzory.png", true);
	shipParams_[7] = new ShipParam(SHIP_MASKING, (L"Maskování"),  ":/pictures/images/details/maskovani.png", true);
	shipParams_[8] = new ShipParam(SHIP_CREW, (L"Posádka"),  ":/pictures/images/details/posadka.png", true);
	shipParams_[9] = new ShipParam(SHIP_ANDROIDS, (L"Androdi"),  ":/pictures/images/details/androidi.png", true);
	shipParams_[10] = new ShipParam(SHIP_UBICATION, (L"Ubikace"),  ":/pictures/images/details/ubykace.png", true);
	shipParams_[11] = new ShipParam(SHIP_STOCK, (L"Sklady"),  ":/pictures/images/details/sklady.png", true);
	shipParams_[12] = new ShipParam(SHIP_EQUIPMENT, (L"Vybavení"),  ":/pictures/images/details/vybaveni.png", true);
	shipParams_[13] = new ShipParam(SHIP_NAVIGATION_COMPUTER, (L"Počítač"),  ":/pictures/images/details/pocitac.png", true);	

	shipParams_[14] = new ShipParam(SHIP_SUBSPACE_DRIVE, (L"Warp pohon"),  ":/pictures/images/details/podprostorovyPohon.png", true);
	shipParams_[15] = new ShipParam(SHIP_IMPULSE_DRIVE, (L"Impulzní pohon"), ":/pictures/images/details/zakladniPohon.png", true);

	shipParams_[16] = new ShipParam(SHIP_CENTRAL_INFORMATION, (L"Centrální informace"), ":/pictures/images/details/centralInfo.png", true);
	shipParams_[17] = new ShipParam(SHIP_RENDER, (L"Náhled lodě"), ":/pictures/images/details/modelLod.png", true);
	shipParams_[18] = new ShipParam(SHIP_NAVIGATION, (L"Navigace"), ":/pictures/images/details/navigace.png", true);
}